<?php

/**
 * @author bronco@warriordudimanche.com
 * @copyright open source and free to adapt (keep me aware !)
 * @version 0.2
 *   auto_form2file.php is a little script to auto store post data
 *	 into a php variable file;
*/

function secure($var,$level=0){
    // $level=0 > returns text only (no html or script), 
    // $level=1 > text + html (no script but not totally secure...), 
    // $level=2 > all content secured with entities
    if (is_array($var)){foreach ($var as $index=>$v){$var[$index]=secure($v,$level);}}
    else if (is_string($var)){
        if ($level==0){$var=strip_tags($var);}
        else if ($level==1){$var=preg_replace('#on[a-z]+ ?= ?["\'].*?["\'](?=[ />])|</?script>|javascript:#i','',$var);}
        else {
        	$var2=htmlspecialchars($var);
        	if ($var2==''){
        		$var=str_replace(array('&', '<', '>', '"'), array('&quot;', '&lt;', '&gt;', '&quot;'), $var);
        	}else{
        		$var=$var2;
        	}

        }
    }
    return $var;
}

$auto_form['filename']='config.php';
$auto_form['filecontent']="<?php \n /* The configuration generated with auto_form*/\n\n";
$auto_form['variable_name']='$config';
$all_keys=explode(' | ',$_POST['all_keys']);
unset($all_keys[count($all_keys)-1]);
$postdata=secure($_POST);
foreach ($all_keys as $key){
	if (!isset($postdata[$key])){$postdata[$key]=false;} // avoid unchecked boxes to desapear from config file
	if ($postdata[$key]===true){$postdata[$key]='true';} else
	if ($postdata[$key]===false){$postdata[$key]='false';}
	if ($postdata[$key]=='true'||$postdata[$key]=='false'){ //bool
		$auto_form['filecontent'].=$auto_form['variable_name']."['$key']=".$postdata[$key].";\n";
	}else{// not bool
		$auto_form['filecontent'].=$auto_form['variable_name']."['$key']='".addslashes($postdata[$key])."';\n";
	}
	
}
$auto_form['filecontent'].="\n?>";

file_put_contents($auto_form['filename'],$auto_form['filecontent']);

?>