<?php
	if (time()-@filemtime('config.php')<60){
		include('config.php');
	}else{
		$config=array(
			'login'=>'',
			'my_password'=>'password',

			'use_a_boolean_value'=>true,
			'allow_user_to_config'=>false,
			'adresse_du_site'=>'www.warriordudimanche.net',
			'use_a_choice'=>'choice one',
			'use_a_radiobutton_choice'=>'choice one',

			'email'=>'',
			'telephone'=>'',
			'date'=>'',
			'time'=>'',
			'text'=>'',
			'number'=>30,
			);
		}
	include('auto_form.php');
?>

<style>
	fieldset{max-width:40%;float:left;min-width:320px;}
	label{display:block;width:100%;vertical-align: top;}
	textarea,input, select{width:100%;display:block;}
	textarea{resize:vertical;}
	input[type=submit]{width:500px;margin-top:20px;}
	label.radio,label.checkbox,input[type=radio],input[type=checkbox]{display:inline-block;width:auto;}
	.red{color:red;}
	li{list-style:none;}
	pre{ white-space: pre ;white-space: pre-wrap ;white-space: pre-line ;white-space: -pre-wrap ;white-space: -o-pre-wrap ;white-space: -moz-pre-wrap ;white-space: -hp-pre-wrap ;word-wrap: break-word ;}

</style>
<h1>This is a generated form</h1>
<fieldset>
	<h3>Use labels and no placeholders </h3>


	<?php
		// config 1

		$autoform=array(
			'use_labels'=>true,
			'use_placeholder'=>false,
			'surrounding_object'=>'p',
			'method'=>'post',
			'action'=>'action_page.php',
			'form_name'=>'autoform',
			'form_id'=>'autoform',
			'form_class'=>'autoform',
			'enctype'=>'',
			'submit_button_label'=>'Envoyer',
			'reset_button_label'
		);
		$autoform['use_a_choice']['list']=array('choice one','choice two','choice three');// here we define the other possible values => oh, ok : that's a select input !
		$autoform['use_a_radiobutton_choice']['list']=array('choice one','choice two','choice three');// here we define the other possible values => oh, ok : that's a select input !
		$autoform['use_a_radiobutton_choice']['type']='radio';// here we force the list to appear as a radiobutton list
		$autoform['my_password']['type']='password';// here we force the input's type to password
		$autoform['my_password']['required']=true;
		$autoform['my_password']['class']='red';
		$autoform['adresse_du_site']['type']='url';// force the type
		$autoform['email']['type']='email';
		$autoform['login']['autofocus']=true;
		$autoform['telephone']['type']='tel';// force the type
		
		
		$autoform['date']['type']='date';
		$autoform['time']['type']='time';
		$autoform['text']['type']='textarea';
		$autoform['number']['type']='number';
		$autoform['number']['max']='100';
		$autoform['number']['min']='10';
		$autoform['number']['step']='10';
		echo render_form($config);
	?>
	<hr/>
	<h4> The code</h4>
		<pre>
// configuration
$autoform=array(
		'use_labels'=>true,
		'use_placeholder'=>false,
		'surrounding_object'=>'p',
		'method'=>'post',
		'action'=>'action_page.php',
		'form_name'=>'autoform',
		'form_id'=>'autoform',
		'form_class'=>'autoform',
		'enctype'=>'',
		'submit_button_label'=>'Envoyer',
		'reset_button_label'
	);
$autoform['use_a_choice']['list']=array('choice one','choice two','choice three');// here we define the other possible values => oh, ok : that's a select input !

$autoform['use_a_radiobutton_choice']['list']=array('choice one','choice two','choice three');// here we define the other possible values => oh, ok : that's a select input !

$autoform['use_a_radiobutton_choice']['type']='radio';// here we force the list to appear as a radiobutton list

$autoform['my_password']['type']='password';// here we force the input's type to password
$autoform['my_password']['required']=true;
$autoform['my_password']['class']='red'; // add class .red

$autoform['adresse_du_site']['type']='url';// force the type

$autoform['email']['type']='email';
$autoform['login']['autofocus']=true;
$autoform['telephone']['type']='tel';// force the type


$autoform['date']['type']='date';

$autoform['time']['type']='time';
$autoform['text']['type']='textarea';

$autoform['number']['type']='number';
$autoform['number']['max']='100';
$autoform['number']['min']='10';
$autoform['number']['step']='10';

echo render_form($config);

	</pre>


	<p>If you submit this form, the changes will be stored in the config.php file</p>
	<p>After a minute, the original data will be restored ^^ </p>
</fieldset>
<fieldset>
<h3>Use placeholders instead of labels (no fallback).</h3>
	
	<?php
		// config 1

		$autoform['use_labels']=false;
		$autoform['use_placeholder']=true;
		$autoform['telephone']['placeholder']='please type your phone number';
		$autoform['email']['placeholder']='type your email';// set the placeholder
		$autoform['text']['placeholder']='This is a textarea';
		$autoform['text']['disabled']=true;
		echo render_form($config);
	?>
<h4> The code</h4>
	<pre>

//only change
$autoform['use_labels']=false;
$autoform['use_placeholder']=true;
$autoform['telephone']['placeholder']='please type your phone number';// change the default placeholder
$autoform['email']['placeholder']='type your email';// change the default placeholder
$autoform['text']['placeholder']='This is a textarea';// change the default placeholder
echo render_form($config);
	</pre>
</fieldset>
